org.wildfly.swarm.config.jca

## Class Workmanager<T extends Workmanager<T>>

- java.lang.Object
- - org.wildfly.swarm.config.jca.Workmanager<T>

-     public class Workmanager<T extends Workmanager<T>>
      extends Object

  WorkManager for resource adapters

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Workmanager.WorkmanagerResources` Child mutators for Workmanager

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Workmanager(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `elytronEnabled()` Enables Elytron security for this workmanager.
    `T` | `elytronEnabled(Boolean value)` Enables Elytron security for this workmanager.
    `String` | `getKey()`
    `T` | `longRunningThreads(List<LongRunningThreads> value)` Add all LongRunningThreads objects to this subresource
    `T` | `longRunningThreads(LongRunningThreads value)` Add the LongRunningThreads object to the list of subresources
    `T` | `longRunningThreads(LongRunningThreadsSupplier supplier)` Install a supplied LongRunningThreads object to the list of subresources
    `T` | `longRunningThreads(String childKey)` Create and configure a LongRunningThreads object to the list of subresources
    `T` | `longRunningThreads(String childKey, LongRunningThreadsConsumer consumer)` Create and configure a LongRunningThreads object to the list of subresources
    `String` | `name()` The name of the WorkManager
    `T` | `name(String value)` The name of the WorkManager
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `shortRunningThreads(List<ShortRunningThreads> value)` Add all ShortRunningThreads objects to this subresource
    `T` | `shortRunningThreads(ShortRunningThreads value)` Add the ShortRunningThreads object to the list of subresources
    `T` | `shortRunningThreads(ShortRunningThreadsSupplier supplier)` Install a supplied ShortRunningThreads object to the list of subresources
    `T` | `shortRunningThreads(String childKey)` Create and configure a ShortRunningThreads object to the list of subresources
    `T` | `shortRunningThreads(String childKey, ShortRunningThreadsConsumer consumer)` Create and configure a ShortRunningThreads object to the list of subresources
    `Workmanager.WorkmanagerResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Workmanager

          public Workmanager(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public Workmanager.WorkmanagerResources subresources()

    - #### longRunningThreads

          public T longRunningThreads(List<LongRunningThreads> value)

      Add all LongRunningThreads objects to this subresource
      Parameters:
        `value` - List of LongRunningThreads objects.
      Returns:
        this

    - #### longRunningThreads

          public T longRunningThreads(LongRunningThreads value)

      Add the LongRunningThreads object to the list of subresources
      Parameters:
        `value` - The LongRunningThreads to add
      Returns:
        this

    - #### longRunningThreads

          public T longRunningThreads(String childKey,
                                      LongRunningThreadsConsumer consumer)

      Create and configure a LongRunningThreads object to the list of subresources
      Parameters:
        `key` - The key for the LongRunningThreads resource
        `config` - The LongRunningThreadsConsumer to use
      Returns:
        this

    - #### longRunningThreads

          public T longRunningThreads(String childKey)

      Create and configure a LongRunningThreads object to the list of subresources
      Parameters:
        `key` - The key for the LongRunningThreads resource
      Returns:
        this

    - #### longRunningThreads

          public T longRunningThreads(LongRunningThreadsSupplier supplier)

      Install a supplied LongRunningThreads object to the list of subresources

    - #### shortRunningThreads

          public T shortRunningThreads(List<ShortRunningThreads> value)

      Add all ShortRunningThreads objects to this subresource
      Parameters:
        `value` - List of ShortRunningThreads objects.
      Returns:
        this

    - #### shortRunningThreads

          public T shortRunningThreads(ShortRunningThreads value)

      Add the ShortRunningThreads object to the list of subresources
      Parameters:
        `value` - The ShortRunningThreads to add
      Returns:
        this

    - #### shortRunningThreads

          public T shortRunningThreads(String childKey,
                                       ShortRunningThreadsConsumer consumer)

      Create and configure a ShortRunningThreads object to the list of subresources
      Parameters:
        `key` - The key for the ShortRunningThreads resource
        `config` - The ShortRunningThreadsConsumer to use
      Returns:
        this

    - #### shortRunningThreads

          public T shortRunningThreads(String childKey)

      Create and configure a ShortRunningThreads object to the list of subresources
      Parameters:
        `key` - The key for the ShortRunningThreads resource
      Returns:
        this

    - #### shortRunningThreads

          public T shortRunningThreads(ShortRunningThreadsSupplier supplier)

      Install a supplied ShortRunningThreads object to the list of subresources

    - #### elytronEnabled

          public Boolean elytronEnabled()

      Enables Elytron security for this workmanager.

    - #### elytronEnabled

          public T elytronEnabled(Boolean value)

      Enables Elytron security for this workmanager.

    - #### name

          public String name()

      The name of the WorkManager

    - #### name

          public T name(String value)

      The name of the WorkManager

Copyright © 2018 JBoss by Red Hat. All rights reserved.